.checkbox-form {
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    margin: 0.25rem;

    .checkbox-label {
        margin-left: 0.5rem;
        cursor: pointer;
    }

    &.disabled {
        cursor: default;

        .checkbox-label {
            opacity: 0.6;
        }
    }
}

.checkbox-btn, .radio-btn {
    width: 1.25rem;
    height: 1.25rem;

    display: inline-flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;

    background-color: var(--form-control-bg);
    border: 0.1rem solid var(--border);

    cursor: pointer;

    &.disabled {
        cursor: default;
    }
}

.checkbox-btn {
    border-radius: 0.25rem;

    &.checked {
        border-color: var(--primary);
        background-color: var(--primary);

        &.disabled {
            border-color: var(--contrast-highlight);
            background-color: var(--contrast-highlight);

            i {
                color: var(--contrast-highlight) !important;
            }
        }

        i {
            font-size: 0.75rem !important;
            color: var(--button-color) !important;
        }
    }
}

.radio-btn {
    border-radius: 50%;

    &.checked {
        background-color: var(--button-color);

        &.disabled {
            i {
                color: var(--form-control-bg) !important;
            }
        }

        i {
            color: var(--primary) !important;
            font-size: 1.25rem !important;
        }
    }
}

.form-input-group {
    .checkbox-form {
        margin: 0;
    }
}
